const path = require("path");
const CopyPlugin = require("copy-webpack-plugin");

const config = {
  stories: ["../src/**/*.mdx", "../src/**/*.stories.@(js|jsx|mjs|ts|tsx)"],
  staticDirs: ["../../../public/"],
  addons: [
    "@storybook/addon-links",
    "@storybook/addon-essentials",
    "@storybook/addon-interactions",
    "storybook-addon-sass-postcss",
    "storybook-addon-themes",
  ],
  framework: {
    name: "@storybook/angular",
    options: {},
  },
  webpackFinal: async (config, { configType }) => {
    config.plugins.push(
      new CopyPlugin({
        patterns: [
          {
            from: "compiled-css/automate-dark.css",
            to: "automate-dark.css",
          },
          {
            from: "compiled-css/automate-light.css",
            to: "automate-light.css",
          },
          {
            from: "node_modules/@progress-chef/interact-themes/assets/mulish-cufonfonts",
            to: "assets/fonts",
          },
        ],
      })
    );
    return config;
  },
  docs: {
    autodocs: "tag",
  },
};
export default config;
