import { useEffect, useGlobals } from '@storybook/addons';

export const useTheme = (StoryFn) => {
  const [{ theme }] = useGlobals();

  useEffect(() => {
    //document.body refers to body tag inside iframe#storybook-preview-iframe
    // document.body.setAttribute('data-theme', theme);
    console.log(theme);
    const currentTheme = JSON.parse(localStorage.getItem("selectedTheme"))['themeName'];
    if(currentTheme !== theme) {
      switch (theme) {
        case "Automate Dark":
          let objAutomateDark = {
            themeName: "Automate Dark",
            className: "automate-dark",
            cssFile: "automate-dark.css",
          };
          let objAutomateDarkStr = JSON.stringify(objAutomateDark);
          localStorage.setItem("selectedTheme", objAutomateDarkStr);
          break;
        case "Automate Light":
          let objAutomateLight = {
            themeName: "Automate Light",
            className: "automate-light",
            cssFile: "automate-light.css",
          };
          let objAutomateLightStr = JSON.stringify(objAutomateLight);
          localStorage.setItem("selectedTheme", objAutomateLightStr);
          break;
      }
      location.reload();
    }
  }, [theme]);
  // 
  // 

  return StoryFn();
};
