import {
  Component,
  Input,
  HostBinding,
  Output,
  EventEmitter,
} from '@angular/core';

export const  ALERT_TYPE =  {
  success: 'success',
  error: 'error',
  warning: 'warning',
  info: 'information',
}

import { ThemesService } from '@progress-chef/interact-themes';


@Component({
  selector: 'lib-alert',
  templateUrl: './alert.component.html',
  styleUrls: ['./alert.component.scss'],
})
export class AlertComponent {

  @Input() type = ALERT_TYPE.info;
  @Output() dismissed = new EventEmitter();
  @HostBinding('class') get theType() {
    return this.type;
  }

  constructor(private themesService:ThemesService) {}

  onClose = (): void => {
    this.dismissed.emit();
  };

}
