import { Component, ElementRef, Input, OnInit } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';

@Component({
  selector: 'lib-angular-popup',
  templateUrl: './angular-popup.component.html',
  styleUrls: ['./angular-popup.component.css']
})
export class AngularPopupComponent implements OnInit {

  @Input() show = true;
  @Input() anchor!: ElementRef<HTMLElement> | HTMLElement;
  @Input() anchorHorizontalAlign: "left" | "center" | "right" = "right";
  @Input() anchorVerticalAlign: "top" | "center" | "bottom" = "bottom";
  @Input() popupHorizontalAlign: "left" | "center" | "right" = "right";
  @Input() popupVerticalAlign: "top" | "center" | "bottom" = "top";

  constructor(private themesService:ThemesService) { }

  ngOnInit(): void { }

}
