import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { StyleTokensModule } from '../style-tokens/style-tokens.module';
import { AngularPopupModule } from './angular-popup/angular-popup.module';
import { AvatarModule } from './avatar/avatar.module';
import { BreadcrumbModule } from './breadcrumb/breadcrumb.module';
import { ButtonModule } from './button/button.module';
import { ButtonGroupModule } from './button-group/button-group.module';

import { CheckboxModule } from './checkbox/checkbox.module';
import { ContainerModule } from './container/container.module';
import { ExpansionPanelModule } from './expansion-panel/expansion-panel.module';

import { DropdownModule } from './dropdown/dropdown.module';
import { IconModule } from './icon/icon.module';
import { LabelsModule } from './label/label.module';
import { LoadingSpinnerModule } from './loading-spinner/loading-spinner.module';
import { NotificationModule } from './notification/notification.module';
import { ProgressBarsModule } from './progress-bar/progress-bar.module';
import { RadioButtonModule } from './radio-button/radio-button.module';
import { ReportSummaryModule } from './report-summary/report-summary.module';
import { SearchBoxModule } from './search-box/search-box.module';
import { SliderModule } from './slider/slider.module';
import { TextAreaModule } from './text-area/text-area.module';
import { TextboxModule } from './textbox/textbox.module';
import { TimeSchedulerModule } from './timescheduler/timescheduler.module';
import { TooltipModule } from './tooltip/tooltip.module';
import { TypographyModule } from './typography/typography.module';
import { NumericTextboxModule } from './numeric-textbox/numeric-textbox.module';
import { DropdownTreeModule } from './dropdowntree/dropdowntree.module';
import { ClipboardModule } from './clipboard/clipboard.module';
import { AlertModule } from './alert/alert.module';
import { MultiSelectDropdownModule } from './multi-select-dropdown/multi-select-dropdown.module';
import { ToastNotificationModule } from './toast-notification/toast-notification.module';

@NgModule({
  imports: [
    AlertModule,
    AngularPopupModule,
    AvatarModule,
    BreadcrumbModule,
    ButtonModule,
    ButtonGroupModule,
    CheckboxModule,
    CommonModule,
    ContainerModule,
    DropdownModule,
    DropdownTreeModule,
    ExpansionPanelModule,
    FormsModule,
    IconModule,
    LabelsModule,
    LoadingSpinnerModule,
    MultiSelectDropdownModule,
    NotificationModule,
    NumericTextboxModule,
    ProgressBarsModule,
    RadioButtonModule,
    ReactiveFormsModule,
    ReportSummaryModule,
    SearchBoxModule,
    SliderModule,
    StyleTokensModule,
    TextAreaModule,
    TextboxModule,
    TimeSchedulerModule,
    ToastNotificationModule,
    TooltipModule,
    TypographyModule,
    ClipboardModule
  ],
  exports: [
    AlertModule,
    AngularPopupModule,
    AvatarModule,
    BreadcrumbModule,
    ButtonModule,
    ButtonGroupModule,
    CheckboxModule,
    ContainerModule,
    DropdownModule,
    DropdownTreeModule,
    ExpansionPanelModule,
    IconModule,
    LabelsModule,
    LoadingSpinnerModule,
    MultiSelectDropdownModule,
    NotificationModule,
    NumericTextboxModule,
    ProgressBarsModule,
    RadioButtonModule,
    ReportSummaryModule,
    SearchBoxModule,
    SliderModule,
    StyleTokensModule,
    TextAreaModule,
    TextboxModule,
    TimeSchedulerModule,
    ToastNotificationModule,
    TooltipModule,
    TypographyModule,
    ClipboardModule
  ],
})
export class AtomsModule { }
