import { Component, Input, OnInit } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';

@Component({
  selector: 'lib-avatar',
  templateUrl: './avatar.component.html',
  styleUrls: ['./avatar.component.css'],
})
export class AvatarComponent implements OnInit {
  public letters: string = '';
  @Input() showInitials = false;
  @Input() imageURL = '';
  @Input() size: 'small' | 'medium' | 'large' | 'none' = 'medium';
  @Input() rounded: 'small' | 'medium' | 'large' | 'full' | 'none' = 'full';
  @Input() fillMode: 'solid' | 'outline' | 'none' = 'solid';
  @Input() themeColor:
    | 'base'
    | 'primary'
    | 'secondary'
    | 'tertiary'
    | 'info'
    | 'success'
    | 'warning'
    | 'error'
    | 'dark'
    | 'light'
    | 'inverse' = 'base';
  @Input() name: string = '';

  constructor(private themesService:ThemesService) {}

  ngOnInit(): void {
    if (!this.imageURL && this.name.length > 0) {
      this.getInitials();
    }
  }

  public getInitials() {
    let letters = '';
    for (let i = 0; i < this.name.length; i++) {
      if (this.name.charAt(i) === ' ') {
        continue;
      }

      if (this.name.charAt(i) === this.name.charAt(i).toUpperCase()) {
        letters += this.name.charAt(i);

        if (letters.length == 2) {
          break;
        }
      }
    }

    this.letters = letters;
  }
}
