import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';

@Component({
  selector: 'lib-button-group',
  templateUrl: './button-group.component.html',
  styleUrls: ['./button-group.component.css']
})
export class ButtonGroupComponent implements OnInit {

  constructor(private themesService:ThemesService) { }

  @Input() buttons: any[] = [];
  @Input() selection: 'single' | 'multiple' = 'single';
  @Input() size: 'small' | 'medium' | 'large' = 'medium';
  @Input() rounded:
    | 'small'
    | 'medium'
    | 'large'
    | 'full'
    | 'none' = 'medium';
  @Input() fillMode:
    | 'solid'
    | 'flat'
    | 'outline'
    | 'clear'
    | 'link'
    | 'none' = 'solid';
  @Input() themeColor:
    | 'base'
    | 'primary'
    | 'secondary'
    | 'tertiary'
    | 'info'
    | 'success'
    | 'warning'
    | 'error'
    | 'dark'
    | 'light'
    | 'inverse' = 'base';
  @Input() label: string = 'button';
  @Input() disabled: boolean = false;
  @Input() toggleable: boolean = true;

  @Output() buttonClick = new EventEmitter<any>();

  onButtonClick(label: string) {
    this.buttonClick.emit(label);
  }

  ngOnInit(): void { }

}
