import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { TypographyType } from '../typography/TypographyType';
import { ThemesService } from '@progress-chef/interact-themes';
@Component({
  selector: 'lib-button',
  templateUrl: './button.component.html',
  styleUrls: ['./button.component.scss']
})
export class ButtonComponent implements OnInit {
  constructor(private themesService:ThemesService) { }

  ngOnInit(): void { }

  @Input() size: 'small' | 'medium' | 'large' = 'medium';
  @Input() rounded:
    | 'small'
    | 'medium'
    | 'large'
    | 'full'
    | 'none' = 'medium';
  @Input() fillMode:
    | 'solid'
    | 'flat'
    | 'outline'
    | 'clear'
    | 'link'
    | 'none' = 'solid';
  @Input() themeColor:
    | 'base'
    | 'primary'
    | 'secondary'
    | 'tertiary'
    | 'info'
    | 'success'
    | 'warning'
    | 'error'
    | 'dark'
    | 'light'
    | 'inverse' = 'base';
  @Input() label: string = '';
  @Input() iconName: string = '';
  @Input() disabled: boolean = false;
  @Input() toggleable: boolean = false;
  @Input() iconPosition: string = '';
  @Input() fontType: TypographyType = 'P_MULISH_16_REGULAR';
  @Input() width: string = '300';
  @Output() buttonClick = new EventEmitter<any>();
  @Input() iconButton=false

  onButtonClick(e: any) {
    this.buttonClick.emit(e);
  }

  button_size(){
    switch(this.size){
      case 'small': 
        return 'small-btn';
      case 'medium': 
        return 'medium-btn';
      case 'large': 
        return 'large-btn';
    }
  }

}
