import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { FormControl } from '@angular/forms';
import { ThemesService } from '@progress-chef/interact-themes';
import { CheckBoxRounded, InputSize } from '@progress/kendo-angular-inputs';

@Component({
  selector: 'lib-checkbox',
  templateUrl: './checkbox.component.html',
  styleUrls: ['./checkbox.component.css'],
})
export class CheckboxComponent implements OnInit {
  @Input() control: FormControl = new FormControl();
  @Input() id: string = '';
  @Input() size: InputSize = 'medium';
  @Input() rounded: CheckBoxRounded = 'none';
  @Input() label: string = '';
  @Input() labelPosition: 'before' | 'after' = 'before';
  @Output() modelChange = new EventEmitter<Boolean>();

  constructor(private themesService:ThemesService) {}

  ngOnInit(): void {}

  emitValueChange(ev: Boolean) {
    this.modelChange.emit(ev);
  }
}
