import { Component, EventEmitter, Input, OnChanges, OnInit, Output, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { ThemesService } from '@progress-chef/interact-themes';

@Component({
  selector: 'lib-dropdowntree',
  templateUrl: './dropdowntree.component.html',
  styleUrls: ['./dropdowntree.component.scss']
})
export class DropdowntreeComponent implements OnInit, OnChanges {
  @Input() childrenField = '';
  @Input() hasDefaultValue = false;
  @Input() isDisabled: boolean = false;
  @Input() listHeight = 330
  @Input() value: any;
  @Input() placeholder = "";
  @Input() clearButton = false
  @Input() expandBy = ''
  @Input() expandedKeys: number[] = []
  @Input() data: any[] = [];
  @Input() textField = '';
  @Input() readonly: boolean = false;
  @Input() valueField = '';
  @Input() footerBtnLabel = '';
  @Input() footerBtnIcon = '';
  @Input() hasFooterBtn = false;
  @Input() rounded: "small" | "medium" | "large" | "full" | "none" = "medium";
  @Input() fillMode: "flat" | "solid" | "outline" | "none" = "solid";
  @Input() size: "small" | "medium" | "large" | "none" = "medium";
  @Input() control: FormControl = new FormControl();
  @Output() selectedItem = new EventEmitter<any>();
  @Output() buttonClick = new EventEmitter<any>();

  constructor(private themesService:ThemesService) { }

  ngOnChanges(changes: SimpleChanges){
    if(changes['isDisabled']) {
      if(changes['isDisabled']?.currentValue) {
        this.control.disable();
      } else {
        this.control.enable();
      }
    }
  }

  ngOnInit(): void { }

  valueChange(e: any) {
    this.hasDefaultValue = true
    this.selectedItem.emit(e);
  }

  onButtonClick(e: any) {
    this.buttonClick.emit(e);
  }

}
