import { Component, EventEmitter, Input, OnChanges, OnInit, Output, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { ThemesService } from '@progress-chef/interact-themes';

@Component({
  selector: 'lib-numeric-textbox',
  templateUrl: './numeric-textbox.component.html',
  styleUrls: ['./numeric-textbox.component.css']
})
export class NumericTextboxComponent implements OnInit, OnChanges {

  @Input() id: string = "sampleId";
  @Input() autoCorrect: boolean = true;
  @Input() width: number = 200;
  @Input() isDisabled: boolean = false;
  @Input() value!: number;
  @Input() min!: number;
  @Input() max!: number;
  @Input() step: number = 1;
  @Input() format: string = "n0";
  @Input() fillMode: "flat" | "solid" | "outline" | "none" = "solid";
  @Input() rounded: "small" | "medium" | "large" | "full" | "none" = "medium";
  @Input() size: "small" | "medium" | "large" | "none" = "medium";
  @Input() readonly: boolean = false;
  @Input() placeholder: string = '';
  @Input() model!: any;
  @Output() modelChange = new EventEmitter<any>();
  @Input() control: FormControl = new FormControl();

  constructor(private themesService:ThemesService) { }
  ngOnChanges(changes: SimpleChanges){
    if(changes['isDisabled']) {
      if(changes['isDisabled']?.currentValue) {
        this.control.disable();
      } else {
        this.control.enable();
      }
    }
  }
  
  ngOnInit(): void {
  }

  emitModelChange(ev: any) {
    this.modelChange.emit(ev);
  }

}
