import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { FormControl } from '@angular/forms';
import { ThemesService } from '@progress-chef/interact-themes';

@Component({
  selector: 'lib-radio-button',
  templateUrl: './radio-button.component.html',
  styleUrls: ['./radio-button.component.css']
})
export class RadioButtonComponent implements OnInit {

  @Input() size: "small" | "medium" | "large" | "none" = "medium";
  @Input() name: string = "radio1";
  @Input() value: string = "radio1";
  @Input() control: FormControl = new FormControl(null);
  @Input() label: string = "radio1";
  @Input() labelPosition: "before" | "after" = "before";
  @Input() id: string = "sampleId";
  @Input() model: string = '';
  @Output() modelChange = new EventEmitter<string>();

  constructor(private themesService:ThemesService) { }

  ngOnInit(): void { }

  emitModelChange(ev: string) {
    this.modelChange.emit(ev);
  }

}
