import { Component, HostBinding, Input, OnInit } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';

export interface MetaData {
  title: string;
  value: string;
}

@Component({
  selector: 'lib-report-summary',
  templateUrl: './report-summary.component.html',
  styleUrls: ['./report-summary.component.scss']
})
export class ReportSummaryComponent implements OnInit {

  @Input() leftTitle: string = '';
  @Input() rightTitle: string = '';
  @Input() bannerColor: string = '';
  @Input() isCollapsed: boolean = false;
  @Input() leftMetaData: MetaData[] = [];
  @Input() rightMetaData: MetaData[] = [];
  @HostBinding('class.show') isOpened: boolean = this.isCollapsed;

  constructor(private themesService:ThemesService) { }

  ngOnInit(): void { }

  toggle(){
    this.expandBox();
  }

  expandBox() {
    this.isCollapsed = !this.isCollapsed
    this.isOpened=this.isOpened
    console.log(this.isCollapsed)
  }
}
