import { Component, EventEmitter, HostBinding, Input, OnInit, Output } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';

@Component({
  selector: 'lib-slider',
  templateUrl: './slider.component.html',
  styleUrls: ['./slider.component.scss']
})
export class SliderComponent implements OnInit {
  @Input() opened: boolean = false;
  @Input() title: string = "";
  @Input() frameNumber: number = 0;
  @HostBinding('class.show') isSlideOpen: boolean = this.opened;
  @Output() sliderClose = new EventEmitter<boolean>();

  constructor(private themesService:ThemesService) { }
  
  ngOnInit() { }

  closeSlider(e: any) {
    this.toggleSlide()
    this.sliderClose.emit(e);
  }

  toggleSlide() {
    this.opened = false;
    this.isSlideOpen = this.opened;
  }
}
