import {
  Component,
  EventEmitter,
  Input,
  OnInit,
  Output,
} from '@angular/core';
import { FormControl } from '@angular/forms';
import { ThemesService } from '@progress-chef/interact-themes';

@Component({
  selector: 'lib-text-area',
  templateUrl: './text-area.component.html',
  styleUrls: ['./text-area.component.scss']
})
export class TextAreaComponent implements OnInit {

  @Input() placeholder: string = 'Enter here';
  @Input() resizable: 'vertical' | 'horizontal' | 'both' = 'vertical';
  @Input() rows!: number;
  @Input() cols!: number;
  @Input() width!: string;
  @Input() value: string = '';
  @Input() control: FormControl = new FormControl();
  @Output() inputChange = new EventEmitter<String>();

  constructor(private themesService:ThemesService) { }

  ngOnInit(): void { }

  emitValueChange(ev: String) {
    this.inputChange.emit(ev);
  }
}

