import { Injectable, TemplateRef} from '@angular/core';
import { NotificationService } from '@progress/kendo-angular-notification';

export interface ToastNotification {
  content: string | TemplateRef<any> | Function,
  cssClass?: string | Array<string> | Object,
  animation?: any,
  position?: any,
  type?: any,
  closable?: boolean,
  hideAfter?: number
}

@Injectable({
  providedIn: 'root',
})
export class ToastNotificationService {
  constructor(private notificationService: NotificationService) {}

  public showToastNotification(notification: ToastNotification) {
    this.notificationService.show({
      content: notification.content,
      cssClass: notification.cssClass,
      animation: notification.animation,
      position: notification.position,
      type: notification.type,
      closable: notification.closable,
      hideAfter: notification.hideAfter,
    });
  }
}
