import { Component, Input, OnInit } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';

@Component({
  selector: 'lib-tooltip',
  templateUrl: './tooltip.component.html',
  styleUrls: ['./tooltip.component.css']
})
export class TooltipComponent implements OnInit {
  
  @Input() position: 'top' | 'bottom' | 'left' | 'right' = 'right';
  @Input() tooltipWidth!: number;
  @Input() tooltipHeight!: number;
  @Input() showOn: 'hover' | 'click' | 'none' = 'hover';
  @Input() closable: boolean = false;
  @Input() title: string = 'tool';
  @Input() callout!: boolean;

  constructor(private themesService:ThemesService) { }

  ngOnInit(): void { }
}
