import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { DialogComponent } from '../dialog.component';
import { TypographyType } from '../../../atoms/typography/TypographyType';

@Component({
  selector: 'lib-dialog-titlebar',
  templateUrl: './dialog-titlebar.component.html',
  styleUrls: ['./dialog-titlebar.component.scss'],
})
export class DialogTitlebarComponent implements OnInit {
  @Input() title: string = '';
  @Input() titleFont: TypographyType = 'P_MULISH_14_REGULAR';
  @Output() closeDialog = new EventEmitter();
  @Input() hideCloseIcon: boolean = false;

  constructor(public dialogComponent: DialogComponent) {}

  ngOnInit(): void {}

  close() {
    this.closeDialog.emit();
  };

  closeBtn() {
    if(this.hideCloseIcon) {
      return 'dialog-title';
    }
    return;
  }
}
