import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { GridPaginationComponent } from './grid-pagination.component';
import { GridModule } from '@progress/kendo-angular-grid';
import { ButtonsModule } from '@progress/kendo-angular-buttons';
import { InputsModule } from '@progress/kendo-angular-inputs';
import { DialogModule } from '@progress/kendo-angular-dialog';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TypographyModule } from './../../atoms/typography/typography.module';
import { IconModule } from '../../atoms/icon/icon.module';
import { IconsModule } from "@progress/kendo-angular-icons";
import { TooltipModule } from '../../atoms/tooltip/tooltip.module';
import { GridPaginationSpacerComponent } from './grid-pagination-spacer/grid-pagination-spacer.component';
import { KebabMenuFilterPipe } from './kebab-menu-filter.pipe';

@NgModule({
  declarations: [
    GridPaginationComponent, 
    GridPaginationSpacerComponent, 
    GridPaginationSpacerComponent,
    KebabMenuFilterPipe
  ],
  imports: [
    CommonModule,
    ButtonsModule,
    IconModule,
    IconsModule,
    InputsModule,
    GridModule,
    DialogModule,
    FormsModule,
    TooltipModule,
    ReactiveFormsModule,
    TypographyModule
  ],
  exports: [GridPaginationComponent, GridPaginationSpacerComponent],
})
export class GridPaginationModule { }
