import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LibGridComponent } from './grid.component';
import { GridSpacerComponent } from './grid-spacer/grid-spacer.component';
import { GridModule } from '@progress/kendo-angular-grid';
import { ButtonsModule } from '@progress/kendo-angular-buttons';
import { InputsModule } from '@progress/kendo-angular-inputs';
import { DialogModule } from '@progress/kendo-angular-dialog';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TypographyModule } from './../../atoms/typography/typography.module';
import { GridFormComponent } from './grid-form/grid-form.component';
import { IconModule } from '../../atoms/icon/icon.module';
import { IconsModule } from "@progress/kendo-angular-icons";
import { TooltipModule } from '../../atoms/tooltip/tooltip.module';

@NgModule({
  declarations: [LibGridComponent, GridSpacerComponent, GridFormComponent],
  imports: [
    CommonModule,
    ButtonsModule,
    IconModule,
    IconsModule,
    InputsModule,
    GridModule,
    DialogModule,
    FormsModule,
    TooltipModule,
    ReactiveFormsModule,
    TypographyModule
  ],
  exports: [LibGridComponent, GridSpacerComponent, GridFormComponent],
})
export class GridsModule { }
