import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { MenuItem } from './layout/layout.model';

@Component({
  selector: 'lib-sidebar',
  templateUrl: './sidebar.component.html',
  styleUrls: ['./sidebar.component.scss']
})

export class SidebarComponent implements OnInit {
  @Input() isSidebarOpen: boolean = true;
  @Input() sideNavbarMenus: MenuItem[] = [];
  @Output() routeSideNavItem = new EventEmitter();
  public onlySidenavFeatureFlagOn!: boolean;

  constructor() { }

  ngOnInit(): void {
    console.log("Sidebar loaded successfully!")
  }

  selectSidenav(event: Event, selectedMenu: MenuItem) {
    event.stopPropagation();

    // if (selectedMenu.submenus && selectedMenu.submenus?.length > 0) {
    //   this.toggleSubmenus(event);
    // }

    // deactivate all nav
    this.sideNavbarMenus.forEach(function (menu) {
      if (menu.submenus && menu.submenus?.length > 0) {
        menu.submenus.forEach(submenu => (submenu.active = false));
      }
      menu.active = false;
    });

    // activate the nav the user has clicked on.
    selectedMenu.active = true;

    this.routeSideNavItem.emit(selectedMenu);
  }

  // toggleSubmenus(event: KeyboardEvent) {
  //   const currentItem = (event.currentTarget as HTMLInputElement);
  //   const arrowRef = (event.currentTarget as HTMLInputElement).children[0];

  //   const submenu: DOMTokenList = currentItem.children[1].classList;;
  //   const arrow: Element = (arrowRef.children[2] as HTMLInputElement);;

  //   if (submenu.contains('show')) {
  //     arrow.innerHTML = 'keyboard_arrow_down';
  //     submenu.remove('show');
  //   } else {
  //     arrow.innerHTML = 'keyboard_arrow_up';
  //     submenu.add('show');
  //   }
  // }
}
