import { Component, Input, ContentChildren, QueryList, Output, EventEmitter } from '@angular/core';
import { SelectEvent, TabAlignment, TabPosition } from "@progress/kendo-angular-layout";
import { TabstripTabComponent } from './tabstrip-tab/tabstrip-tab.component';

@Component({
  selector: 'lib-tabstrip',
  templateUrl: './tabstrip.component.html',
  styleUrls: ['./tabstrip.component.scss']
})
export class TabstripComponent {
  @Input() height: string = "50";
  @Input() alignment: TabAlignment = "start";
  @Input() position: TabPosition = "top";
  @Output() onTabSelect = new EventEmitter<any>();
  @Input() selectedTab : number = 0;

  @ContentChildren(TabstripTabComponent, { descendants: true }) tabstripTabComponents!: QueryList<TabstripTabComponent>;

  public onTabSelectEvent(e: SelectEvent): void {
    this.onTabSelect.emit(e);
  }
}
