import { AlertComponent } from '@components/atoms/alert/alert.component';
import { AlertModule } from '@components/atoms/alert/alert.module';
import { TypographyModule } from '@components/atoms/typography/typography.module';
import { StoryObj, moduleMetadata, Meta } from '@storybook/angular';

const meta: Meta<AlertComponent> = {
  title: 'Atoms/AlertComponent',
  component: AlertComponent,
  decorators: [
    moduleMetadata({
      declarations: [],
      imports: [AlertModule, TypographyModule],
      providers: [],
    }),
  ],
  tags: ['autodocs'],
  argTypes: {},
  render: (args: AlertComponent) => ({
    props: args,
    template: `
    <lib-alert>
      <p>
      <lib-typography defaultText="A scan job is the equivalent of running inspec exec against a given set of targets. The results of a scan job are sent to compliance reporting. Any profiles installed to the user’s namespace may be used in a scan job." type="P_MULISH_16_LIGHT">
      </lib-typography>
      </p>
      <a style="color: #174AF0;text-decoration: underline;"><lib-typography defaultText="READ MORE" type="SMALL_MULISH_12_REGULAR"></lib-typography></a>
    </lib-alert>`,
  }),
};
export default meta;

type Story = StoryObj<AlertComponent>;

export const Alert: Story = {
  args: {},
};
