import { moduleMetadata, StoryObj, Meta } from '@storybook/angular';
import { ProgressBarComponent } from '@components/atoms/progress-bar/progress-bar.component';
import { ProgressBarModule } from '@progress/kendo-angular-progressbar';
import { APP_INITIALIZER } from '@angular/core';
import { ThemesModule, ThemesService } from '@progress-chef/interact-themes';

function themesServiceFactory(themesService: ThemesService) {
  return () => themesService;
}

const meta: Meta<ProgressBarComponent> = {
  title: 'Atoms/ProgressBarComponent',
  component: ProgressBarComponent,
  decorators: [
    moduleMetadata({
      imports: [ProgressBarModule, ThemesModule],
      providers: [
        {
          provide: APP_INITIALIZER,
          useFactory: themesServiceFactory,
          deps: [ThemesService],
        },
      ],
    }),
  ],
  tags: ['autodocs'],
  argTypes: {
    value: {
      options: [0, 25, 50, 100],
      control: 'radio',
    },
  },
  render: (args: ProgressBarComponent) => ({
    props: args,
  }),
};

export default meta;

type Story = StoryObj<ProgressBarComponent>;

export const ProgressBar: Story = {
  args: {
    value: 25,
  },
};
