import { moduleMetadata, StoryObj, Meta } from '@storybook/angular';
import { APP_INITIALIZER } from '@angular/core';
import { ThemesModule, ThemesService } from '@progress-chef/interact-themes';
import { ReportSummaryComponent } from '@components/atoms/report-summary/report-summary.component';
import { ReportSummaryModule } from '@components/atoms/report-summary/report-summary.module';

function themesServiceFactory(themesService: ThemesService) {
  return () => themesService;
}

const meta: Meta<ReportSummaryComponent> = {
  title: 'Atoms/ReportSummaryComponent',
  component: ReportSummaryComponent,
  decorators: [
    moduleMetadata({
      imports: [ReportSummaryModule, ThemesModule],
      providers: [
        {
          provide: APP_INITIALIZER,
          useFactory: themesServiceFactory,
          deps: [ThemesService],
        },
      ],
    }),
  ],
  tags: ['autodocs'],
  render: (args: ReportSummaryComponent) => ({
    props: args,
  }),
};
export default meta;

type Story = StoryObj<ReportSummaryComponent>;

export const ReportSummary: Story = {
  args: {
    leftTitle: 'test left title',
    rightTitle: 'test right title',
    bannerColor: '#DFE3E5',
    isCollapsed: false,
    leftMetaData: [
      { title: 'title one', value: 'value one' },
      { title: 'title two', value: 'value two' },
    ],
    rightMetaData: [
      { title: 'title one', value: 'value one' },
      { title: 'title two', value: 'value two' },
    ],
  },
};
